#
# spec file for package perl-Net-DBus-GLib
#
# Copyright (c) 2017 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


%define cpan_name Net-DBus-GLib
Name:           perl-Net-DBus-GLib
Version:        0.33.0
Release:        11.5
Summary:        Perl extension for the DBus message system
License:        GPL-2.0+ or Artistic-1.0
Group:          Development/Libraries/Perl
Url:            http://search.cpan.org/~danberr/Net-DBus-GLib/
Source:         %{cpan_name}-%{version}.tar.gz
%{perl_requires}
BuildRequires:  dbus-1-devel
BuildRequires:  dbus-1-glib-devel
BuildRequires:  perl
BuildRequires:  perl-macros
BuildRequires:  pkgconfig
BuildRequires:  perl(ExtUtils::MakeMaker)
BuildRequires:  perl(Gtk2)
BuildRequires:  perl(Net::DBus) >= 0.33.0
BuildRequires:  perl(Test::More)
BuildRequires:  perl(Test::Pod)
BuildRequires:  perl(Test::Pod::Coverage)
Requires:       perl(Gtk2)
Requires:       perl(Net::DBus) >= 0.33.0
Provides:       %{cpan_name}
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
Net::DBus::Glib provides a Glib Perl API for the DBus message system.

%prep
%setup -q -n %{cpan_name}-%{version}

%build
perl Makefile.PL INSTALLDIRS=vendor OPTIMIZE="%{optflags}"
make %{?_smp_mflags}

%install
%perl_make_install
%perl_process_packlist
%perl_gen_filelist

%check
make %{?_smp_mflags} test

%files -f %{name}.files
%defattr(-,root,root,-)
%doc AUTHORS CHANGES LICENSE README

%changelog
* Fri Jan 20 2017 aloisio@gmx.com
- Fixed build
- Renamed .spec and .changes files to match module name
- Spec cleanup
* Sun Mar 21 2010 rpm@ilmi.fi
- Added this to devel:languages:perl
